from django.urls import include, path
from django.conf.urls.static import static
from django.contrib import admin
from django.conf import settings

urlpatterns = [
    path("api", include("meleager.api_urls")),
    path("api-auth", include("rest_framework.urls", namespace="rest_framework")),
    path("", include("web.urls")),
    path("admin/", admin.site.urls),
    path("select2/", include("django_select2.urls")),
] + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
