from meleager.models import Name

from ..helpers import to_date


def get_or_create_name(name, language, creator, last_editor, created_at, updated_at):

    defaults = {
        "creator": creator,
        "last_editor": last_editor,
        "created_at": to_date(created_at),
        "updated_at": to_date(updated_at),
    }

    name_obj, created = Name.objects.get_or_create(
        name=name, language=language, defaults=defaults
    )

    return name_obj
