from django.conf import settings
from django.db import models

from .mixins import DescriptableResourceMixin, EditableResourceMixin


class Editor(EditableResourceMixin, DescriptableResourceMixin, models.Model):
    user = models.ForeignKey(settings.AUTH_USER_MODEL, on_delete=models.CASCADE)
