from django.db import models

from .helpers import Language
from .mixins import EditableResourceMixin


class Name(EditableResourceMixin, models.Model):
    name = models.TextField()
    language = models.CharField(choices=Language, max_length=3)

    def __str__(self):
        return f"{self.name} ({self.language})"
