from rest_framework import serializers, viewsets

from meleager.models import Passage


class PassageSerializer(serializers.HyperlinkedModelSerializer):
    texts = serializers.HyperlinkedRelatedField(
        many=True, read_only=True, view_name="text-detail"
    )

    class Meta:
        model = Passage
        fields = "__all__"
