from rest_framework import serializers

from meleager.models import Work
from ..serializers.name import NameInlineSerializer


class WorkSerializer(serializers.HyperlinkedModelSerializer):
    names = NameInlineSerializer(many=True)

    class Meta:
        model = Work
        fields = "__all__"
