from rest_framework import viewsets

from ..serializers.keywords import KeywordCategorySerializer, KeywordSerializer

from meleager.models import Keyword, KeywordCategory


class KeywordViewSet(viewsets.ModelViewSet):
    queryset = Keyword.objects.all()
    serializer_class = KeywordSerializer


class KeywordCategoryViewSet(viewsets.ModelViewSet):
    queryset = KeywordCategory.objects.all()
    serializer_class = KeywordCategorySerializer
