from rest_framework import viewsets

from ..serializers.media import MediumSerializer, ManuscriptSerializer

from meleager.models import Medium, Manuscript


class MediaViewSet(viewsets.ModelViewSet):
    queryset = Medium.objects.all()
    serializer_class = MediumSerializer


class ManuscriptViewSet(viewsets.ModelViewSet):
    queryset = Manuscript.objects.all()
    serializer_class = ManuscriptSerializer
