from django import forms
from web.models import APPassage


class PassageForm(forms.ModelForm):
    fragment = forms.CharField(disabled=True)
    sub_fragment = forms.CharField(disabled=True)
    whatever = forms.CharField()

    class Meta:
        model = APPassage
        fields = ["fragment", "sub_fragment", "whatever"]
        exclude = ["urn", "images", "manuscripts", "keywords"]
