class Alignments extends Stimulus.Controller {
    static get targets() {
        return ['alignment']
    }

    highlight(event) {
        const id = event.target.dataset.id
        const matchElements = this.alignmentTarget.querySelectorAll(`[data-id="${id}"]`)
        Array.from(matchElements).forEach((element) => {
            element.classList.add('tag')
            element.classList.add('tag--warning')
            element.classList.add('tag--normal')
        })
    }

    lowlight(event) {
        const id = event.target.dataset.id
        const matchElements = this.alignmentTarget.querySelectorAll(`[data-id="${id}"]`)
        Array.from(matchElements).forEach((element) => {
            element.classList.remove('tag')
            element.classList.remove('tag--warning')
            element.classList.remove('tag--normal')
        })
    }
}
