from django.shortcuts import get_object_or_404, render
from web.models import APScholium


def scholium_view(request, book, fragment, number):
    obj = get_object_or_404(
        APScholium,
        passage__book__number=book,
        passage__fragment=fragment,
        number=number,
    )

    return render(request, "web/scholium.html", {"scholium": obj})
