def test_first_tab_is_selected(page):
    page.goto("/passages/urn:cts:greekLit:tlg7000.tlg001.ag:7.70")
    assert (
        page.textContent("#texts-tabs-first .tab-container .selected").strip() == "GRC"
    )


def test_first_content_is_visible(page):
    page.goto("/passages/urn:cts:greekLit:tlg7000.tlg001.ag:7.70")
    assert (
        page.textContent("#texts-tabs-first #text-content-first-1-GRC")
        .strip()
        .startswith("νῦν πλέον ἢ τὸ πάροιθε")
    )


def test_click_on_french_tab(page):
    page.goto("/passages/urn:cts:greekLit:tlg7000.tlg001.ag:7.70")
    tab = page.waitForSelector('#texts-tabs-first [href="#text-content-first-2-FRA"]')
    tab.click()
    assert (
        page.textContent("#texts-tabs-first .tab-container .selected").strip() == "FRA"
    )
    assert (
        page.textContent("#texts-tabs-first #text-content-first-2-FRA")
        .strip()
        .startswith("Maintenant plus qu'auparavant")
    )
